/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2021-01-29 17:15:51Z
 *****************************************************************************/

#ifndef __RSCMWINS_ATTRIBUTES_HEADER
#define __RSCMWINS_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwins_binPatternToInt32_ReadCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwins_Int32ToBinPattern_WriteCallback (ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTable rscmwins_rngPhysCellCarrPosition;
extern RsCoreRangeTable rscmwins_rngMCC;
extern RsCoreRangeTable rscmwins_rngPhysicalCellID;
extern RsCoreRangeTable rscmwins_rngTAC;
extern RsCoreRangeTable rscmwins_rngLocalTimeZoneOffset;
extern RsCoreRangeTable rscmwins_rngTimerOutofSync;
extern RsCoreRangeTable rscmwins_rngTimerAdditionalT3412;
extern RsCoreRangeTable rscmwins_rngRRCTimer;
extern RsCoreRangeTable rscmwins_rngAttenuation;
extern RsCoreRangeTable rscmwins_rngENPMode;
extern RsCoreRangeTable rscmwins_rngMixerLevelOffset;
extern RsCoreRangeTable rscmwins_rngNrsPower;
extern RsCoreRangeTable rscmwins_rngPIRPower;
extern RsCoreRangeTable rscmwins_rngP0NominalPUSCH;
extern RsCoreRangeTable rscmwins_rngNominalPower;
extern RsCoreRangeTable rscmwins_rngUEPower;
extern RsCoreRangeTable rscmwins_rngRRCState;
extern RsCoreRangeTable rscmwins_rngConfigurePSAction;
extern RsCoreRangeTable rscmwins_rngRFExtTimeDelay;
extern RsCoreRangeTable rscmwins_rngOperatingBand;
extern RsCoreRangeTable rscmwins_rngRFFrequencyOffset;
extern RsCoreRangeTable rscmwins_rngPathlossCompAlpha;
extern RsCoreRangeTable rscmwins_rngPhysicalCellDuplexMode;
extern RsCoreRangeTable rscmwins_rngPhysCellSubcSpacing;
extern RsCoreRangeTable rscmwins_rngPhysicalCellOperationMode;
extern RsCoreRangeTable rscmwins_rngPhysicalCellBandwidth;
extern RsCoreRangeTable rscmwins_rngPhysCellControlRegionSize;
extern RsCoreRangeTable rscmwins_rngPhysicalCellPowerOffset;
extern RsCoreRangeTable rscmwins_rngPhysCellInbandPCI;
extern RsCoreRangeTable rscmwins_rngPhyslCellGuardBandPosition;
extern RsCoreRangeTable rscmwins_rngPhysCellPowerRamping;
extern RsCoreRangeTable rscmwins_rngPhysCellPreambleFormat;
extern RsCoreRangeTable rscmwins_rngPhysCellMaxTransmissions;
extern RsCoreRangeTable rscmwins_rngMNCDigits;
extern RsCoreRangeTable rscmwins_rngNetworkSecurityAlgorithm;
extern RsCoreRangeTable rscmwins_rngTimerT3324;
extern RsCoreRangeTable rscmwins_rngDaylightSavingTime;
extern RsCoreRangeTable rscmwins_rngNetworkTimeSource;
extern RsCoreRangeTable rscmwins_rngNetworkSyncZone;
extern RsCoreRangeTable rscmwins_rngNetworkSyncOffset;
extern RsCoreRangeTable rscmwins_rngConnectionType;
extern RsCoreRangeTable rscmwins_rngIPVersion;
extern RsCoreRangeTable rscmwins_rngCIoT;
extern RsCoreRangeTable rscmwins_rngDataApplicationIPVersion;
extern RsCoreRangeTable rscmwins_rngSchedulingType;
extern RsCoreRangeTable rscmwins_rngDefaultPagingCycle;
extern RsCoreRangeTable rscmwins_rngPCCHConfignB;
extern RsCoreRangeTable rscmwins_rngModificationPeriodCoefficient;
extern RsCoreRangeTable rscmwins_rngPagingTimeWindow;
extern RsCoreRangeTable rscmwins_rngCycleLength;
extern RsCoreRangeTable rscmwins_rngDNDSubcarriers;
extern RsCoreRangeTable rscmwins_rngDNDMCSIndex;
extern RsCoreRangeTable rscmwins_rngDNDResourceUnits;
extern RsCoreRangeTable rscmwins_rngDNDRepetitions;
extern RsCoreRangeTable rscmwins_rngDNDModulation;
extern RsCoreRangeTable rscmwins_rngDNDSubframes;
extern RsCoreRangeTable rscmwins_rngUserPattern;
extern RsCoreRangeTable rscmwins_rngBLERState;
extern RsCoreRangeTable rscmwins_rngDNDSyncState;
extern RsCoreRangeTable rscmwins_rngDNDResourceState;
extern RsCoreRangeTable rscmwins_rngBLERRepetition;
extern RsCoreRangeTable rscmwins_rngBLERSamples;
extern RsCoreRangeTable rscmwins_rngBLERAlgorithm;
extern RsCoreRangeTable rscmwins_rngDNDEventLogCategory;
extern RsCoreRangeTable rscmwins_rngNoYes;
extern RsCoreRangeTable rscmwins_rngTransferCategory;
extern RsCoreRangeTable rscmwins_rngROHCContextSessions;
extern RsCoreRangeTable rscmwins_rngPSState;
extern RsCoreRangeTable rscmwins_rngUECapabilitiesRelease;
extern RsCoreRangeTable rscmwins_rngScenario;
extern RsCoreRangeTable rscmwins_rngUserSchedulingPattern;
extern RsCoreRangeTable rscmwins_rngConnectionHARQMaxNumberOfTransmissions;
extern RsCoreRangeTable rscmwins_rngPhysicalCellCENumberOfThreshold;
extern RsCoreRangeTable rscmwins_rngPhysicalCellCERepetitionsPerPreamble;
extern RsCoreRangeTable rscmwins_rngPhysicalCellCENPDCCHMaxRepetitions;
extern RsCoreRangeTable rscmwins_rngPhysicalCellCERSRPThreshold;
extern RsCoreRangeTable rscmwins_rngPhysicalCellGuardBandUplinkPosition;
extern RsCoreRangeTable rscmwins_rngPhysicalCellInbandUplinkCarrierPosition;
extern RsCoreRangeTable rscmwins_rngPhysicalCellWUSMaxDurationFactor;
extern RsCoreRangeTable rscmwins_rngPhysicalCellWUSNumPOs;
extern RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSFirstPOPosition;
extern RsCoreRangeTable rscmwins_rngPhysicalCellWUSNoOfDRXCyclesRelaxed;
extern RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSTimeOffset;
extern RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXShort;
extern RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXLong;
extern RsCoreRangeTable rscmwins_rngDRXTimer;
extern RsCoreRangeTable rscmwins_rngDRXCycle;
extern RsCoreRangeTable rscmwins_rngDRXStartOffset;
extern RsCoreRangeTable rscmwins_rngDestinationServerPort;
extern RsCoreRangeTable rscmwins_rngNACDLFrequency;
extern RsCoreRangeTable rscmwins_rngNACULFrequency;
extern RsCoreRangeTable rscmwins_rngNACBitmap;
extern RsCoreRangeTable rscmwins_rngNACGap;
extern RsCoreRangeTable rscmwins_rngNACGapThreshold;
extern RsCoreRangeTable rscmwins_rngNACGapPeriodicity;
extern RsCoreRangeTable rscmwins_rngNACNRSPowerOffset;
extern RsCoreRangeTable rscmwins_rngNACPagingWeightAnchor;
extern RsCoreRangeTable rscmwins_rngNACChannelOffset;
extern RsCoreRangeTable rscmwins_rngNACRepetitions;
extern RsCoreRangeTable rscmwins_rngNACPagingWeight;
extern RsCoreRangeTable rscmwins_rngNACDurationFactor;
extern RsCoreRangeTable rscmwins_rngNPRACHProbabilityAnchor;
extern RsCoreRangeTable rscmwins_rngNPDCCHNoRepetitions;
extern RsCoreRangeTable rscmwins_rngNPDCCHStartSF;
extern RsCoreRangeTable rscmwins_rngConfigureConnectionNPDCCHOffset;
extern RsCoreRangeTable rscmwins_rngNPDCCHCSSMAXRepetitions;
extern RsCoreRangeTable rscmwins_rngConfigureConnectionNACBitmapExplicit;
extern RsCoreRangeTable rscmwins_rngEDTResourceNumbers;
extern RsCoreRangeTable rscmwins_rngRRCReleaseCause;
extern RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQAlpha;
extern RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQIndex;
extern RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQSR;
extern RsCoreRangeTable rscmwins_rngSchedReqWithoutHARQSubcarrierIndexFormat;
extern RsCoreRangeTable rscmwins_rngSchedReqWithoutHARQSubcrIndexFormValue;
extern RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQResourceIndex;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CACHE;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_RECORD_COERCIONS;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_INTERCHANGE_CHECK;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPY;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_VISA_RM_SESSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_IO_SESSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_IO_SESSION_TYPE;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_OPC_CALLBACK;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsCoreAttribute g_RSCMWINS_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_GENERATOR_STATE;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_RRC_STATE;
extern RsCoreAttribute g_RSCMWINS_ATTR_RRC_RELEASE_CAUSE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PS_ACTION;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_PS_STATE;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCENARIO_CATALOG;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCENARIO_ACTIVE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CLEAN_EVENT_LOG;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_INFO_IMEI;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_INFO_IMSI;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_INFO_DEFAULT_BEARERS_CATALOG;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_INFO_ASSIGNED_IP_ADDRESSES;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INACTIVITY_MONITOR;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE_ASSISTANCE_INDICATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_TONE;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_USER_PLANE_C_IOT_OPTIMIZATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TRANSFER_CATEGORY;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_DRB;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_PAGING;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MAX_ROHC_CONTEXT_SESSIONS;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_ROHC_PROFILES;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_REFERENCE_ROHC_PROFILE_NAMES;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INTERFERENCE_RANDOMIZATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_UE_SUPPORTS_MULTI_CARRIER;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_NPRACH;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_NPUSCH_MULTI_TONE;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TWO_HARQ_PROCESSES;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_NS_PMAX;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_POWER_CLASS_14_DBM;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WAKE_UP_SIGNAL;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WUS_MIN_GAP;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_EARLY_DATA_UP;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITH_HARQ;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITHOUT_HARQ;
extern RsCoreAttribute g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_INDEX;
extern RsCoreAttribute g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_RANGE;
extern RsCoreAttribute g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_INDEX;
extern RsCoreAttribute g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_RANGE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_OUTPUT_ATTENUATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_INPUT_ATTENUATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_INPUT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_OUTPUT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_SIGNAL_OPERATING_BAND;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_DL;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_UL;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_DL;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_UL;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_MODE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_POWER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_USER_MARGIN;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_RF_MIXER_LEVEL_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_CHANNEL_UL_MAXIMUM;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_DL_MAXIMUM;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MAXIMUM;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MINIMUM;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_NRS_EPRE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_OCNG;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_AWGN;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_NOMINAL_POWER;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPRACH_PREAMBLE_POWER;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPUSCH_FORMAT_POWER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_MAXIMUM_UE_POWER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_NRS_POWER;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_UL_POWER_ADVANCED_PATHLOSS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PIR_TARGET_POWER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_P0_NOMINAL_NPUSCH;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PATHLOSS_COMPENSATION_ALPHA;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_DUPLEX_MODE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ID;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_OPERATION_MODE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ENABLE_FLEXIBLE_UL_DL_SEPARATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_BANDWIDTH;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CONTROL_REGION_SIZE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_PCI;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_CARRIER_POSITION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_POSITION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_DL;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_UL;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_DL;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_UL;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_NO_RESPONSE_TO_PREAMBLES;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_RAMPING;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_PREAMBLE_FORMAT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_MAX_TRANSMISSIONS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NUMBER_OF_THRESHOLD;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_0;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_1;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_2;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_0;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_1;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_2;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_1;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_2;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CE_LEVEL_REPORT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_DISABLE_PAGING;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_MAX_DURATION_FACTOR;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NUM_POS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_FIRST_PO_POSITION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NO_OF_DRX_CYCLES_RELAXED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_DRX;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_SHORT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MCC;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC_DIGITS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_TAC;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_CID_EUTRAN;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_UE_IMSI;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_AUTHENTICATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ALGORITHM;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_SECRET_KEY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_MILENAGE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_OPC;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_OUT_OF_SYNC;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_VALUE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_VALUE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_ADDITIONAL_T3412;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_VALUE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_TIME;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_NOW;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SOURCE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_ZONE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CONNECTION_TYPE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_IP_VERSION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_C_IOT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DATA_APPLICATION_MODE_IP_VERSION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_IP_ADDRESS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_PORT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_KEEP;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_TIMER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_SCHEDULING_TYPE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DEFAULT_PAGING_CYCLE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PCCH_CONFIG_NB;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_MODIFICATION_PERIOD_COEFFICIENT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PSM_ALLOWED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_IDLE_MODE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_TIME_WINDOW;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CYCLE_LENGTH;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_ALLOW_PAGING_AFTER_SI_TRANSMISSION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_INTERFERENCE_RANDOMIZATION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_COLLISION_REPORT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_USER_PATTERN;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_MAX_NUMBER_OF_TRANSMISSIONS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_PROCESSES;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_UL_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP_EXPLICIT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_GAP;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_THRESHOLD;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_PERIODICITY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_DURATION_COEFFICIENT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_NRS_POWER_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP_EXPLICIT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_GAP;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_THRESHOLD;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_PERIODICITY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_DURATION_COEFFICIENT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_NRS_POWER_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_NUM_OF_REPETITIONS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_WUS_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_MAX_DURATION_FACTOR;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP_EXPLICIT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_GAP;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_THRESHOLD;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_PERIODICITY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_DURATION_COEFFICIENT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_NRS_POWER_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_NUM_OF_REPETITIONS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_WUS_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_MAX_DURATION_FACTOR;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_1_RACH_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_2_RACH_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_FREQUENCY;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_MAX_NO_REPETITIONS_RMAX;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_NO_REPETITIONS;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_NO_REPETITIONS;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_START_SF;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_PERIOD;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_CSS_MAX_NO_REPETITIONS_RMAX;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ON_DURATION_TIMER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_INACTIVITY_TIMER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_RETRANSMISSION_TIMER;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_CYCLE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_START_OFFSET;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_UL_RETRANS_TIMER;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITH_HARQ;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_ALPHA;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_CARRIER_INDEX;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_RESOURCE_INDEX;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SR;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT_VALUE;
extern RsCoreAttribute g_RSCMWINS_ATTR_SCHEDULING_REQUEST_NO_RESPONSE_TO_SR_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_INITIATE_BLER_MEASUREMENT;
extern RsCoreAttribute g_RSCMWINS_ATTR_STOP_BLER_MEASUREMENT;
extern RsCoreAttribute g_RSCMWINS_ATTR_ABORT_BLER_MEASUREMENT;
extern RsCoreAttribute g_RSCMWINS_ATTR_QUERY_BLER_STATE;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_BLER_TIMEOUT;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_BLER_REPETITION;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_BLER_SAMPLES;
extern RsCoreAttribute g_RSCMWINS_ATTR_CONFIGURE_BLER_ALGORITHM;
extern RsCoreAttribute g_RSCMWINS_ATTR_EDT_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_EDT_RESOURCE_NUMBERS;
extern RsCoreAttribute g_RSCMWINS_ATTR_EDT_USER_PLAN_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_EDT_SMALL_TBS_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_EDT_SMALL_TBS_SUBSET_ENABLED;
extern RsCoreAttribute g_RSCMWINS_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWINS_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWINS_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWINS_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMWINS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;
extern RsCoreAttribute g_RSCMWINS_ATTR_ID_QUERY_RESPONSE;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwins_RsCoreRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwins_RsCoreAttributeList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWINS_ATTRIBUTES_HEADER */
