/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#include <visatype.h>

ViStatus rscmwinm_InitAttributes(ViSession instrSession);

ViStatus rscmwinm_DefaultInstrSetup(ViSession instrSession);

ViStatus rscmwinm_CheckStatus(ViSession instrSession);

ViInt32 rscmwinm_strCode(ViChar   *pBuffer,
                         ViString arrayCodes[]);

ViStatus _VI_FUNC rscmwinm_GetMeas(ViSession instrSession,
                                   ViString  command,
                                   ViInt32   timeout,
                                   ViInt32   arraySize,
                                   ViInt32*  reliability,
                                   ViReal64  result[],
                                   ViInt32   *returnedValues);

ViStatus _VI_FUNC rscmwinm_GetMeasSeg(ViSession instrSession,
                                      ViString  command,
                                      ViInt32   timeout,
                                      ViInt32   arraySize,
                                      ViInt32*  reliability,
                                      ViInt32*  segReliability,
                                      ViReal64  result[],
                                      ViInt32   *returnedValues);

ViStatus _VI_FUNC rscmwinm_GetMeasErrorCodes(ViSession instrSession,
                                             ViString  command,
                                             ViInt32   arraySize,
                                             ViInt32   *reliability,
                                             ViInt32   codes[],
                                             ViInt32   *returnedValues);

ViStatus rscmwinm_instanceRepCap(ViSession instrSession,
                                 ViInt32   instance,
                                 ViChar    rep_cap[]);

ViStatus _VI_FUNC rscmwinm_QueryMeasStatus(ViSession instrSession,
                                           ViString  command,
                                           ViInt32*  mainState,
                                           ViInt32*  syncState,
                                           ViInt32*  resourcesState);

ViStatus rscmwinm_GetIndexOfToken(ViConstString stringToFind,
                                  ViString      table[],
                                  ViUInt32      *index);

