/*****************************************************************************
 *- Utility Function Declarations (Non-Exported) ----------------------------*
 *****************************************************************************/

#pragma once
#include <visatype.h>

ViStatus rscmwins_InitAttributes(ViSession instrSession);

ViStatus rscmwins_DefaultInstrSetup(ViSession openInstrSession);

ViStatus rscmwins_CheckStatus(ViSession instrSession);

ViStatus rscmwins_instanceRepCap(ViSession instrSession,
                                 ViInt32   instance,
                                 ViChar    repCap[]);

ViStatus _VI_FUNC rscmwins_QueryMeasStatus(ViSession instrSession,
                                           ViString  cmd,
                                           ViInt32*  mainState,
                                           ViInt32*  syncState,
                                           ViInt32*  resourcesState);

ViStatus _VI_FUNC rscmwins_GetMeasTrace(ViSession instrSession,
                                        ViString  cmd,
                                        ViInt32   timeout,
                                        ViInt32   arraySize,
                                        ViInt32*  reliability,
                                        ViReal64  result[],
                                        ViInt32   *returnedValues);

ViStatus _VI_FUNC rscmwins_GetSingleMeasInteger(ViSession instrSession,
                                                ViString  cmd,
                                                ViInt32*  reliability,
                                                ViInt32*  result);

ViStatus _VI_FUNC rscmwins_GetMeas(ViSession instrSession,
                                   ViString  cmd,
                                   ViInt32   timeout,
                                   ViInt32   arraySize,
                                   ViInt32*  reliability,
                                   ViReal64  result[],
                                   ViInt32   *returnedValues);

